summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Markus Hutmacher <markus.hutmacher@gmail.com>2013-03-16 15:37:51 -0400
committer dsomero <xgizzmo@slackbuilds.org>2013-03-22 07:16:48 -0400
commita3e4f6fb5e8294f6d60f78c9fef7c3d9dd794649 (patch)
tree73f79160cbfa84a52a13a18dafee9bb3e3c54549
parent183f4db47dd49ce89f7dd5373ffe10fb7800144f (diff)
downloadslackbuilds-a3e4f6fb5e8294f6d60f78c9fef7c3d9dd794649.tar.gz
slackbuilds-a3e4f6fb5e8294f6d60f78c9fef7c3d9dd794649.tar.xz
audio/id3tool: Added (utility for manipulation ID3 tags)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--audio/id3tool/README2
-rw-r--r--audio/id3tool/id3tool.SlackBuild100
-rw-r--r--audio/id3tool/id3tool.info10
-rw-r--r--audio/id3tool/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/audio/id3tool/README b/audio/id3tool/README
new file mode 100644
index 0000000000..0322fd1e3c
--- /dev/null
+++ b/audio/id3tool/README
@@ -0,0 +1,2 @@
+id3tool is a program for manipulating mp3 ID3 Tags.
+
diff --git a/audio/id3tool/id3tool.SlackBuild b/audio/id3tool/id3tool.SlackBuild
new file mode 100644
index 0000000000..0b11540769
--- /dev/null
+++ b/audio/id3tool/id3tool.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for id3tool
+
+# Copyright 2012 Markus Hutmacher markus.hutmacher@gmail.com
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for any purpose
+# with or without fee is hereby granted, provided that the above copyright
+# notice and this permission notice appear in all copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
+# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# AUTHORS AND COPYRIGHT HOLDERS AND THEIR CONTRIBUTORS BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=id3tool
+VERSION=${VERSION:-1.2a}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="COPYING README INSTALL CHANGELOG"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+[ "$SUDO" = "true" ] && ENABLE_SUDO="--enable-sudo"
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --infodir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ ${ENABLE_SUDO}
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/id3tool/id3tool.info b/audio/id3tool/id3tool.info
new file mode 100644
index 0000000000..ee34aa80f5
--- /dev/null
+++ b/audio/id3tool/id3tool.info
@@ -0,0 +1,10 @@
+PRGNAM="id3tool"
+VERSION="1.2a"
+HOMEPAGE="http://nekohako.xware.cx/id3tool/"
+DOWNLOAD="http://nekohako.xware.cx/id3tool/id3tool-1.2a.tar.gz"
+MD5SUM="061185562c0d0e6327406d9fc2f194b2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Markus Hutmacher"
+EMAIL="markus.hutmacher@gmail.com"
diff --git a/audio/id3tool/slack-desc b/audio/id3tool/slack-desc
new file mode 100644
index 0000000000..0041ffce78
--- /dev/null
+++ b/audio/id3tool/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+id3tool: id3tool (command line utility for manipulation ID3 tags)
+id3tool:
+id3tool: ID3 tags are present in MPEG-Layer-3 (mp3) files.
+id3tool: They include the information which is shown by audio-devices when an
+id3tool: mp3-file is played.
+id3tool: id3tool allows for manipulating those ID3 tags on the commandline.
+id3tool:
+id3tool:
+id3tool:
+id3tool:
+id3tool: